package ru.yandex.direct.web.entity.log.model;

import java.util.Map;

public class TimingsRequest {
    private Map<String, Double> timings;

    /**
     * Events from client interface. Stores events for timings and whether it happened.
     **/
    private Map<String, Boolean> interfaceEvents;

    private String deviceType;

    private long reqid;

    public Map<String, Double> getTimings() {
        return timings;
    }

    public void setTimings(Map<String, Double> timings) {
        this.timings = timings;
    }

    public long getReqid() {
        return reqid;
    }

    public void setReqid(long reqid) {
        this.reqid = reqid;
    }

    public Map<String, Boolean> getInterfaceEvents() {
        return interfaceEvents;
    }

    public void setInterfaceEvents(Map<String, Boolean> interfaceEvents) {
        this.interfaceEvents = interfaceEvents;
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }
}
